package com.lukouguoji.gjc.holder

import android.view.View
import com.lukouguoji.gjc.databinding.ItemGjcGoodsBinding
import com.lukouguoji.module_base.base.BaseViewHolder
import com.lukouguoji.module_base.bean.GjcGoodsBean

class GjcGoodsViewHolder(view: View) : BaseViewHolder<GjcGoodsBean, ItemGjcGoodsBinding>(view) {

    override fun onBind(item: Any?, position: Int) {
        val bean = getItemBean(item) ?: return
        binding.bean = bean

        notifyItemClick(position, binding.tvDetails)
    }
}